Subject: Re: Feature Request - Unique commits list

From: Junio C Hamano <[email-masked]>
Date: Thu, 28 Sep 2023 07:07:55 -0700

Saurabh Sonar <[email-masked]> writes:

> After merging the master branch into my local it is hard to find my
> own commits in git history.

I suspect the above may be the other way around (i.e., after the
upstream takes some but not all of my changes into their 'master'
branch, I want to find out what remaining topics from me are still
not accepted by them), but anyway, doesn't something along the lines
of

	$ git log --branches --not origin/master

work for you?  It asks

 * Please list commits ("git log")

 * The commits to be listed should be discovered by traversing the
   history starting from my branch tips ("--branches")

 * But I am not interested in those commits that can be reached from
   the 'master' branch of my upstream ("--not origin/master").